<?
error_reporting(E_ALL^E_NOTICE);
echo "<div class='event'><h1>Получить зарплату</h1></div>";
echo "<div class='block'>";
//echo "<center><img src='images/th.jpg' alt='city'></img></center>";
mysql_query("INSERT INTO `kolhoz_zarplata` (`user_id`, `last_auth`, `stage`) VALUES ('$ku[id]','$now','1')");
$q_gift = mysql_query("SELECT * FROM `kolhoz_zarplata` WHERE `user_id` = '$ku[id]'");
$gift = mysql_fetch_array($q_gift);
$time = $gift['last_auth'] + 84600;
$now = time();
echo "<table class='post'>";
if(isset($_GET['take']))
{
if ($time < $now) {
switch ($gift['stage']) {
case 1:
        echo "Вы успешно получили зарплату в размере: <b>50</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '50' WHERE `id` = '$ku[id]'");
        mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 2:
        echo "Вы успешно получили зарплату в размере: <b>100</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '100' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 3:
        echo "Вы успешно получили зарплату в размере: <b>150</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '150' WHERE `id` = '$ku[id]'");
        mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 4:
        echo "Вы успешно получили зарплату в размере: <b>200</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '200' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 5:
        echo "Вы успешно получили зарплату в размере: <b>250</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '250' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 6:
        echo "Вы успешно получили зарплату в размере: <b>300</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '300' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;

case 7:
        echo "Вы успешно получили зарплату в размере: <b>400</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '400' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_zarplata` SET `last_auth` = '$now', `stage` = '1' WHERE `user_id` = '$ku[id]'");
		break;
}
} else {
echo "За сегодня вы еже забрали зарплату!</br></br>";
}
}

if ($time < $now) {
echo "Администрация по желанию может получать зарплату ежедневно!!</br>Для этого достаточно перейти на эту страницу и заБрать свою зарплату!
<form action='?zarplata&take' method='post'><br/>
<input type='submit' class='button' name='take' value='Получить зарплату'/>
</form>";
} else {
$hour_t = ceil(($time - $now) / 3600);
if ($hour_t == 1 or $hour_t == 21) {
$hour = 'час';
} elseif ($hour_t >= 2 and $hour_t <= 4 or $hour_t >= 22 and $hour_t <= 24) {
$hour = 'часа';
} elseif ($hour_t >= 5 and $hour_t <= 20) {
$hour = 'часов';
}
echo "Вы уже получали зарплату за сегодня!</br>Приходите через: <b>$hour_t $hour</b> ";
}
echo "</table>";
include_once 'inc/foot.php';
?>